Subject: bug#19468: 25.0.50; UI inconveniences with M-.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Apr 2015 18:13:07 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Dmitry Gutov <[email-masked]>,  [email-masked]
> Date: Mon, 27 Apr 2015 00:30:41 -0400
> 
> >      But what are the alternatives, if any?  I could only find
> >      something related in ada-mode and in elisp-mode.  This means
> >      that, for example, for C/C++ and Java, etags is the only
> >      available back-end, and this change is currently just a different
> >      UI wrapping the same basic functionality?  Is there any further
> >      development planned for the near future?
> 
> There should very much be other backends on the way, e.g. using Semantic
> (for C/C++), SLIME (for CL), ...

I certainly hope that at least the Semantic one materializes soon
enough, otherwise it sounds like all this move to xref was for the
benefit of unbundled packages, and users of Emacs are just punished by
having to learn a new UI for no real advantage.

> >    . The doc string of xref-find-function mentions several variants of
> >      invoking the function, but there doesn't seem to be any way of
> >      controlling that when invoking the function interactively, is
> >      there?  I think it would be good to be able to lookup only the
> >      definitions or only the references of a symbol.
> 
> Indeed, the current UI does not offer access to all features of the API.
> Improvements welcome,

Not from me: I've been told in this discussion that I don't understand
the new UI, don't appreciate its many virtues, and generally am no
more than an obstacle on the way of progress.  So I really don't think
I should mess with this UI.

That said, the usual way in Emacs to provide minor variants of a
command is via special values of the prefix argument, like, for
example, "C-x C-s" does.